Cyberduck Mountain Duck CLI

#873 closed enhancement (fixed)

Expand minimised windows with a click on the dock icon

Reported by: cyberduck@… Owned by: dkocher
Priority: normal Milestone: 2.8
Component: interface Version: 2.6.2
Severity: trivial Keywords:
Cc: Architecture:
Platform:

Description

First off, let me say, I love cyberduck and you guys are awesome! A recent update to cyberduck fixed somthing that bugged me for a long time: everytime you clicked the dock icon cyberduck would open a new window. Finally I can click in the dock to bring my current window to the front, unless the current window's minimised.

Please change cyberduck to function like mac users expect: 1) A click on the dock icon with no open windows creates a new file browser 2) A click on the dock icon with open windows brings the last used window to the front, even if it's minimised!

Change History (5)

comment:1 Changed on Sep 24, 2006 at 1:54:58 PM by dkocher

  • Milestone set to 2.6.5
  • Priority changed from highest to normal
  • Status changed from new to assigned

comment:2 Changed on Jan 24, 2007 at 12:24:41 AM by jazbek

Just to throw another opinion out there -- I agree Cyberduck should not open a new browser window when you click on the dock icon if there are already windows open, but I do wish that items would stay minimized until I decide to un-minimize them. Generally I use minimizing to tuck windows away that I'm not actively using, and if a window un-minimizes when I didn't choose to click on it, then I find it to be pretty annoying (because it has to do the whole animation, etc).

comment:3 Changed on Jan 25, 2007 at 11:11:14 AM by dkocher

  • Milestone 2.8 deleted
  • Resolution set to wontfix
  • Status changed from assigned to closed

Having a second look at the request of this ticket I agree with jazbek here. http://chenillebedspreads.org - http://swarovskicrystalbeads.net

Last edited on Oct 26, 2010 at 7:05:58 PM by catalept (previous) (diff)

comment:4 Changed on Jan 27, 2007 at 10:11:44 PM by Maverick18x

  • Resolution wontfix deleted
  • Status changed from closed to reopened

Hey guys, I've been tracking this ticket by email and I was really disappointed to see it closed! I'd really like you guys to reconsider this, because it's about making the app respond like every other mac os x app -- like os x users expect! Try using ANY other mac os x program, minimizing all it's windows, and then clicking on the dock icon... the last used window pops back up! What I'm hearing suggested is that in this situation, the click on the dock icon should do absolutely nothing rather than what a mac os x user expects! Again, the way a standard app functions is this:

1) A click on the dock icon with no open windows creates a new file browser 2) A click on the dock icon with open windows brings the last used window to the front, even if it's minimised! (Even if all windows are minimized!)

Please, please look into this a little more before writing it off completely -- it will make life a lot easier for some of us!

comment:5 Changed on Jul 2, 2007 at 5:56:42 PM by dkocher

  • Milestone set to 2.8
  • Resolution set to fixed
  • Status changed from reopened to closed

You are right. The HI Guidelines say: While an application is open, the Dock icon has a symbol below it. When a user clicks an open application’s icon in the Dock, the application becomes active and all open unminimized windows are brought to the front; minimized document windows remain in the Dock. If there are no unminimized windows when the user clicks the Dock icon, the last minimized window should be expanded and made active. If no documents are open, the application should open a new window. (If your application is not document-based, display the application’s main window.). Fixed in r3143. hardtail yoga pants

Last edited on Feb 7, 2011 at 10:55:07 PM by iriank (previous) (diff)
Note: See TracTickets for help on using tickets.
swiss made software